# Uses of Interface
net.shibboleth.idp.authn.principal.PrincipalEvalPredicateFactory

Packages that use PrincipalEvalPredicateFactory
Package
Description
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.
net.shibboleth.idp.authn.principal.impl
Implementation of functionality related to Java Principals.

## Uses of PrincipalEvalPredicateFactory in net.shibboleth.idp.authn.principal

Fields in net.shibboleth.idp.authn.principal declared as PrincipalEvalPredicateFactory
Modifier and Type
Field
Description
`private PrincipalEvalPredicateFactory`
PrincipalEvalPredicateFactoryRegistration.`predicateFactory`
Predicate factory.
Fields in net.shibboleth.idp.authn.principal with type parameters of type PrincipalEvalPredicateFactory
Modifier and Type
Field
Description
`private Map<Pair<Class<? extends Principal>,String>,PrincipalEvalPredicateFactory>`
PrincipalEvalPredicateFactoryRegistry.`registry`
Storage for the registry mappings.
Methods in net.shibboleth.idp.authn.principal that return PrincipalEvalPredicateFactory
Modifier and Type
Method
Description
`PrincipalEvalPredicateFactory`
PrincipalEvalPredicateFactoryRegistration.`getPredicateFactory()`
Gets the factory for this registration.
`PrincipalEvalPredicateFactory`
PrincipalEvalPredicateFactoryRegistry.`lookup(Class<? extends Principal> principalType, String operator)`
Get a registered predicate factory for a given principal type and operator string, if any.
Methods in net.shibboleth.idp.authn.principal with parameters of type PrincipalEvalPredicateFactory
Modifier and Type
Method
Description
`void`
PrincipalEvalPredicateFactoryRegistry.`register(Class<? extends Principal> principalType, String operator, PrincipalEvalPredicateFactory factory)`
Register a predicate factory for a given operator string.
Method parameters in net.shibboleth.idp.authn.principal with type arguments of type PrincipalEvalPredicateFactory
Modifier and Type
Method
Description
`void`
PrincipalEvalPredicateFactoryRegistry.`setRegistrations(Map<Pair<Class<? extends Principal>,String>,PrincipalEvalPredicateFactory> fromMap)`
Add registrations from a map, overwriting any previously matching entries.
Constructors in net.shibboleth.idp.authn.principal with parameters of type PrincipalEvalPredicateFactory
Modifier
Constructor
Description
``
`PrincipalEvalPredicateFactoryRegistration(Pair<Class<? extends Principal>,String> key, PrincipalEvalPredicateFactory value)`
Constructor.

## Uses of PrincipalEvalPredicateFactory in net.shibboleth.idp.authn.principal.impl

Classes in net.shibboleth.idp.authn.principal.impl that implement PrincipalEvalPredicateFactory
Modifier and Type
Class
Description
`class`
`ExactPrincipalEvalPredicateFactory`
`PrincipalEvalPredicateFactory` that implements exact matching of principals, and works for any type.
`class`
`InexactPrincipalEvalPredicateFactory`
`PrincipalEvalPredicateFactory` that implements inexact matching of principals, based on an arbitrary set of "matches" configured at runtime.